Android Question [SOLVED] com.android.dx.cf.code.SimException - Firebasenotification

prajinpraveen

Active Member
Licensed User
Good Day,

Please can someone assist

Error with Firebasenotification Library.


Error log

B4A Version: 10.70
Parsing code. (0.00s)
Java Version: 11
Building folders structure. (0.01s)
Compiling code. (0.01s)
Compiling layouts code. (0.02s)
Organizing libraries. (0.00s)
(AndroidX SDK)
Compiling resources (1.02s)
Linking resources (1.00s)
Compiling generated Java code. (3.92s)
Convert byte code - optimized dex. Error
Uncaught translation error: com.android.dx.cf.code.SimException: invalid opcode ba (invokedynamic requires --min-sdk-version >= 26)
1 error; aborting

1621793084224.png
 

Attachments

  • example.zip
    8.9 KB · Views: 53
Last edited:

Erel

Administrator
Staff member
Licensed User
The problem is with firebase-datatransport v18.0.0.

Be careful with installing resources not in the recommended items list.
Edit <android sdk>\extras\b4a_remote\installed-components.txt
Find:
com.google.firebase\:firebase-datatransport

Set the version to the previous one. On my SDK it is 17.0.11.

You can find it here: <sdk>\extras\b4a_remote\com\google\firebase\firebase-datatransport

Clean the project (Ctrl + P) and compile.
 
Upvote 0
Top